Bug 604251 - installer fails to prepare embedded H2 DB
Summary: installer fails to prepare embedded H2 DB
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Installer   
(Show other bugs)
Version: 3.0.0
Hardware: All
OS: All
low
medium vote
Target Milestone: ---
: ---
Assignee: John Mazzitelli
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
: 601263 (view as bug list)
Depends On:
Blocks: jon-sprint11-bugs
TreeView+ depends on / blocked
 
Reported: 2010-06-15 17:47 UTC by John Mazzitelli
Modified: 2010-08-12 16:52 UTC (History)
2 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:52:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot log (81.54 KB, text/x-log)
2010-06-28 12:52 UTC, Rajan Timaniya
no flags Details
server log (378.11 KB, text/x-log)
2010-06-28 12:53 UTC, Rajan Timaniya
no flags Details

Description John Mazzitelli 2010-06-15 17:47:26 UTC
not getting installer to prepare the embedded H2 DB.

Caused by: org.hibernate.HibernateException: Dialect class not found: org.rhq.core.domain.dialect.H2CustomDialect

Comment 1 John Mazzitelli 2010-06-15 17:49:30 UTC
the class was moved to a different package name probably due to the GWT refactoring.

the patch is to change ConfigurationBean:

@@ -642,3 +642,3 @@ public class ConfigurationBean {
             } else if (db.toLowerCase().indexOf("h2") > -1) {
-                dialect = "org.rhq.core.domain.dialect.H2CustomDialect";
+                dialect = "org.rhq.core.server.H2CustomDialect";
             } else if (db.toLowerCase().indexOf("sqlserver") > -1) {

Comment 2 John Mazzitelli 2010-06-15 17:55:43 UTC
pushed to release-3.0.0 branch.

Comment 3 John Mazzitelli 2010-06-15 17:58:36 UTC
there was another place where this name change needed to occur:

H2DatabaseType:

     public String getHibernateDialect() {
-        return "org.rhq.core.domain.dialect.H2CustomDialect";
+        return "org.rhq.core.server.H2CustomDialect";
     }

Comment 4 Joseph Marques 2010-06-21 18:01:36 UTC
*** Bug 601263 has been marked as a duplicate of this bug. ***

Comment 5 Rajan Timaniya 2010-06-28 12:51:01 UTC
Verified on JON 2.4 GA_QA (tag-jon-release build #42)
http://hudson-qe.rhq.rdu.redhat.com:8080/view/JON/job/tag-jon-release/42/

Database: embedded H2 DB Version 1.2.136 (2010-05-24)
Java: Sun JDK 1.6
Platform: RHEL 5.5

Installed JON 2.4 GA_QA (tag-jon-release build #42) and agent without any error/exception.

Comment 6 Rajan Timaniya 2010-06-28 12:52:59 UTC
Created attachment 427405 [details]
boot log

Comment 7 Rajan Timaniya 2010-06-28 12:53:41 UTC
Created attachment 427406 [details]
server log

Comment 8 Corey Welton 2010-08-12 16:52:20 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.